## psi-plus 0.14~svn1378

=== mac/Makefile ===
#
# Build file for packaging Psi/Mac.
#
# The DMG packager looks for a template.dmg.bz2 for using as its 
# DMG template. If it doesn't find one, it generates a clean one.
#
# If you create a DMG template, you should make one containing all
# the files listed in $(FILES) below, and arrange everything to suit
# your style. The contents of the files themselves does not matter, so
# they can be empty. 
#
# Parameters:
#	* BUILD: Set this to 'no' if you do not want to build the source tree or
#		check dependencies of the 'disk' dir when building the DMG.
#
# Remko Troncon 
# http://el-tramo.be
#

# Change these according to your own setup
QCADIR=/usr/local
GROWLDIR=/Library/Frameworks
SPARKLEDIR=/Library/Frameworks
PSI_DIR=..

EXECUTABLE_NAME=psi
NAME=Psi
VOLUME_NAME=$(NAME)
VERSION=0.14-devel_$(shell date +"%Y%m%d")
#VERSION=0.14

APPFILE_NAME=Psi.app
FILES=$(APPFILE_NAME)
DISK_DIR=disk
ifneq ($(BUILD),no)
DISK_FILES=$(foreach f,$(FILES), $(addprefix $(DISK_DIR)/,$(f)))
endif
MASTER_DMG=$(NAME)-$(VERSION).dmg


# Other variables
QT_FRAMEWORK_VERSION=4
QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support QtSvg
QT_PLUGINS=imageformats/libqjpeg.dylib imageformats/libqgif.dylib

# The rules
.PHONY: buildall
all: build-psi $(DISK_FILES)

.PHONY: dmg
dmg: build-psi $(DISK_FILES) $(MASTER_DMG)

# Cleanup
.PHONY: clean
clean: clean-dmg
	-rm -rf $(DISK_DIR)

# Help
.PHONY: help
help:
	@echo "Usage:"
	@echo "    make : Build a distributable binary in $(DISK_DIR)/"
	@echo "    make dmg : Build a DMG disk image"

# Building the main source tree
.PHONY: build-psi
ifneq ($(BUILD),no)
build-psi:
	@echo
	@echo --------------------- Building Source Tree --------------------
	$(MAKE) -C $(PSI_DIR)
	@echo
else
build-psi:
endif


################################################################################
# Generation of the final files
################################################################################

# The binary
$(DISK_DIR)/$(APPFILE_NAME): $(PSI_DIR)/src/$(EXECUTABLE_NAME).app
	@echo
	@echo --------------------- Packaging Binary --------------------
	rm -rf "$@"
	ditto -rsrc "$<" "$@"
	mkdir -p "$@/Contents/Frameworks"
	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
	-ditto -rsrc "$(SPARKLEDIR)/Sparkle.framework" "$@/Contents/Frameworks/Sparkle.framework"
	#strip "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
	#
	#@echo
	#@echo Installing QCA ...
	#cp -f "$(QCADIR)/lib/libqca.2.dylib" "$@/Contents/Frameworks/"
	#install_name_tool -id "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Frameworks/libqca.2.dylib"
	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
	#mkdir -p "$@/Contents/Resources/crypto"
	#cp -f "$(QTDIR)/plugins/crypto/libqca-openssl.dylib" "$@/Contents/Resources/crypto/"
	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
	for f in $(QT_PLUGINS); do \
		mkdir -p "$@/Contents/Plugins/`dirname $$f`"; \
		cp -f "$(QTDIR)/plugins/$$f" "$@/Contents/Plugins/`dirname $$f`"; \
	done; \
	#
	@echo
	@echo Writing qt.conf ...
	echo "[Paths]\nPlugins = Plugins" > "$@/Contents/Resources/qt.conf"
	#
	@echo
	@echo Installing Qt Frameworks ...
	for f in $(QT_FRAMEWORKS); do \
		ditto -rsrc "$(QTDIR)/lib/$$f.framework" "$@/Contents/Frameworks/$$f.framework"; \
		rm -rf "$@/Contents/Frameworks/$$f.framework/Headers"; \
		rm -rf "$@/Contents/Frameworks/$$f.framework/$$f""_debug"; \
		rm -rf "$@/Contents/Frameworks/$$f.framework/$$f""_debug.prl"; \
		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/Headers"; \
		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f""_debug"; \
		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f""_debug.prl"; \
		install_name_tool -id "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/$$f.framework/$$f"; \
		for g in $(QT_FRAMEWORKS); do \
			install_name_tool -change "$(QTDIR)/lib/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "@executable_path/../Frameworks/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f"; \
		done; \
		for g in $(QT_PLUGINS); do \
			install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Plugins/$$g"; \
		done; \
		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/libqca.2.dylib"; \
		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/crypto/libqca-openssl.dylib"; \
		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/MacOS/$(EXECUTABLE_NAME)"; \
	done

# The rest
$(DISK_DIR)/%: $(PSI_DIR)/%
	ditto -rsrc "$<" $@


################################################################################
# Disk image creation
################################################################################

WC_DMG=wc.dmg
WC_DIR=wc
TEMPLATE_DMG=template.dmg

$(TEMPLATE_DMG): $(TEMPLATE_DMG).bz2
	bunzip2 -k $<

$(TEMPLATE_DMG).bz2: 
	@echo
	@echo --------------------- Generating empty template --------------------
	mkdir template
	hdiutil create -size 80m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(VOLUME_NAME)" -quiet
	rmdir template
	bzip2 "$(TEMPLATE_DMG)"
	@echo

$(WC_DMG): $(TEMPLATE_DMG)
	cp $< $@

$(MASTER_DMG): $(WC_DMG) $(DISK_FILES)
	@echo
	@echo --------------------- Creating Disk Image --------------------
	mkdir -p $(WC_DIR)
	hdiutil attach "$(WC_DMG)" -noautoopen -quiet -mountpoint "$(WC_DIR)"
	for i in $(DISK_DIR)/*; do  \
		file=`basename $$i`; \
		rm -rf "$(WC_DIR)/$$file"; \
		ditto -rsrc "$(DISK_DIR)/$$file" "$(WC_DIR)/$$file"; \
	done
	#rm -f "$@"
	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
	diskutil eject `diskutil list | grep "$(VOLUME_NAME)" | grep "Apple_HFS" | awk '{print $$6}'`
	rm -f "$(MASTER_DMG)"
	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
	rm -rf $(WC_DIR)
	-hdiutil internet-enable -yes -quiet "$@"
	@echo

.PHONY: clean-dmg
clean-dmg:
	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG) $(NAME)-*.dmg

## psi-plus 0.15~svn2501

=== debian/changelog ===
psi-plus (0.15~svn2501-1) unstable; urgency=low

  * New upstream release
  * fix compile options - plugins (Closes: #584279)

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 01 Jun 2010 21:09:49 +0400

psi-plus (0.15~svn2393-1) unstable; urgency=low

  * New upstream release
  * update psibuild.sh
    - move psi+ icon to other dir (Closes: #580581)
    - not apply patches in orig source
  * apply psi+ patches when build using quilt

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 13 May 2010 16:15:05 +0400

psi-plus (0.15~svn2353-1) unstable; urgency=low

  * New upstream release
  * remove cdbs
  * add Replace for psi-plus-icons (Closes: #580581)
  * fix error in description

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 07 May 2010 12:03:58 +0400

psi-plus (0.15~svn2289-1) unstable; urgency=low

  * New upstream release
    - new roster
  * Bump Standards-Version to 3.8.4
  * update psibuild.sh
  * change rules to new debhelper
  * chande source format to 3.0(quilt)
  * get description from english site
  * separate icons and skins

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 01 May 2010 17:58:08 +0400

psi-plus (0.15~svn1748-1) unstable; urgency=low

  * New upstream release
  * Fix import of roster (Closes: #567629)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 30 Jan 2010 16:39:57 +0300

psi-plus (0.15~svn1682-1) unstable; urgency=low

  * New upstream release
  * update psibuild.sh (patch 600 change to 0600)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 24 Jan 2010 10:45:15 +0300

psi-plus (0.15~svn1515-1) unstable; urgency=low

  * New upstream release
  * update psibuild.sh (change version)

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 24 Dec 2009 17:13:04 +0300

psi-plus (0.14~svn1378-1) unstable; urgency=low

  * New upstream release
  * add Stop Spam, Autoreplay, Birthday Reminder and Conference Logger plugins

 -- Ivan Borzenkov <ivan1986@list.ru>  Wed, 18 Nov 2009 22:12:44 +0300

psi-plus (0.14~svn1120-1) unstable; urgency=low

  * New upstream release
  * update psibuild.sh (change github to git.psi-im.org)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 10 Oct 2009 22:55:37 +0400

psi-plus (0.14~svn1035-1) unstable; urgency=low

  * New upstream release
  * update psibuild.sh (not work whis dash)

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 29 Sep 2009 01:59:40 +0400

psi-plus (0.14~svn980-1) unstable; urgency=low

  * New upstream release
  * update psibuild.sh

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 13 Sep 2009 11:39:02 +0400

psi-plus (0.14~svn952-1) unstable; urgency=low

  * New upstream release
  * fix error in description (Closes: Bug#543144)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 23 Aug 2009 11:59:56 +0400

psi-plus (0.14~svn892-1) unstable; urgency=low

  * New upstream release
  * fix error in description (Closes: Bug#540181)
  * change build depend libqt4-dev 4.4.0 to 4.5.1

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 11 Aug 2009 21:54:45 +0400

psi-plus (0.14~svn812-1) unstable; urgency=low

  * New upstream release
  * fixed crash in translate plugin

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 06 Aug 2009 23:09:18 +0400

psi-plus (0.14~svn803-1) unstable; urgency=low

  * New upstream release
  * update build.sh - switch to 0.14
  * update description

 -- Ivan Borzenkov <ivan1986@list.ru>  Wed, 29 Jul 2009 00:49:55 +0400

psi-plus (0.13.r802-1) unstable; urgency=low

  * New upstream release
  * add conflict with psi and psi-translations (Closes: Bug#538746)
  * fix errors on description - thanks to "Artur R. Czechowski" 
        <arturcz@hell.pl> (Closes: Bug#538749, Bug#538719)

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 28 Jul 2009 22:44:40 +0400

psi-plus (0.13.r735-1) unstable; urgency=low

  * New upstream release
  * Add plugins
  * update build.sh
  * change rules for use cdbs

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 18 Jul 2009 22:58:36 +0400

psi-plus (0.13.r537-1) unstable; urgency=low

  * Use Psi package for build Psi+ package
  * Add script for get Psi+ from git and svn
  * Add clean iris/lib
  * Add conflict to psi
  * Create fork - ITP (Closes: Bug#515684)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 08 Jun 2009 01:24:54 +0300

psi (0.13git090101-1) unstable; urgency=low

  * Update from git

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 01 Jan 2009 19:15:19 +0300

psi (0.12-2) unstable; urgency=low

  * Uploading to unstable (Closes: Bug#494352)

 -- Jan Niehusmann <jan@debian.org>  Thu, 28 Aug 2008 18:46:52 +0200

psi (0.12-1) experimental; urgency=low

  * Updated to upstream version 0.12
  * Removed some (windows) binaries without sources available from the
    orig tarball
  * Noticed removal of binaries in debian/copyright
  * Fixed some lintian warnings regarding file formatting
  * Bumped Standards-Version to 3.8.0
  * Changed dependency on libqt4-dev to >=4.2.3 (instead of >=4.2.3-1)
  * Revert CONFIG -= link_prl additions as they are not necessary
    since qt 4.4.0~rc1-4
  * Build-Conflict with libqt4-dev 4.4.0~rc1-3

 -- Jan Niehusmann <jan@debian.org>  Wed, 20 Aug 2008 09:25:13 +0200

psi (0.11-8) unstable; urgency=low

  * added CONFIG -= link_prl to .pro files and removed dependencies
    which are made unnecessary by this change
  * Fix segfault when closing last chat tab with qt4.4
    (This is from upstream svn, rev. 1101) (Closes: Bug#476122)

 -- Jan Niehusmann <jan@debian.org>  Mon, 14 Apr 2008 18:57:30 +0200

psi (0.11-7) unstable; urgency=low

  * With version 4.4.0~rc1-3, libqt4-dev removed some dependencies which
    psi needs for building. Added them directly to the psi package.

 -- Jan Niehusmann <jan@debian.org>  Sun, 13 Apr 2008 21:43:33 +0200

psi (0.11-6) unstable; urgency=low

  * Initialize w2tab before calling addTab in optionstab.cpp
    (Closes: Bug#475748)
  * added -Wl,--as-needed to LDFLAGS, to minimize dependencies

 -- Jan Niehusmann <jan@debian.org>  Sun, 13 Apr 2008 17:24:11 +0200

psi (0.11-5) unstable; urgency=low

  * Suggest xdg-utils, since psi can use it to select the default


=== debian/control ===
Source: psi-plus
Section: net
Priority: optional
Maintainer: Ivan Borzenkov <ivan1986@list.ru>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.5.1), libqca2-dev(>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, quilt, qconf
Standards-Version: 3.8.4
Homepage: http://psi-dev.googlecode.com/

Package: psi-plus
Architecture: any
Recommends: sox, libqca2-plugin-ossl, psi-plus-plugins, psi-plus-icons, psi-plus-skins
Conflicts: libqca2 (<< 2.0.0), psi, psi-translations
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqca2-plugin-gnupg, xdg-utils
Provides: psi, psi-translations
Replaces: psi, psi-translations
Description: Jabber client using Qt
 Psi+ is a fork of free instant messaging Psi
 It has some features that Psi does not have
 .
 Conferences:
  - Easy to edit and view the topic with disabled modality
  - Context-menu to quick change affiliation (rank and roles)
  - Write a nickname by clicking on it in the conference log
  - Context menu when right-clicking on a nickname in the conference log
  - Option to disable autologin to specific conference rooms
      (allows for profiles like at home / in university / at work)
  - When your nickname is highlighting, show a popup notification
      message text (optional)
  - URLs in the topic are changed into clickable links in the conference log
  - Fixed colors for nickname, the color is obtained by hashing the
      nickname (optional)
  - The horizontal scrollbar in the list of participants is disabled
  - Remote control ad-hoc command to leave a conference room
  - Initiate voice calls to conference participants
  - Quickly add and delete conference bookmarks
      (in the style of Mozilla Firefox)
  - The topic is shown in a different color in the conference log
  - System messages are shown in a different color in the conference log
  - Affiliation icons in the conference participants list (optional)
  - Custom colors for contacts with different ranks and roles
      in the conference participants list
  - Display the icon of the used Jabber client for each participant
      in the conference (optional)
 .
 Interface:
  - Jabber client icons in the roster (optional)
  - Avatars of contacts in the roster (optional - on/off, left/right)
  - Default avatar, displayed when a contact has no avatar
      (optional - options.ui.contactlist.avatars.use-default-avatar)
  - Mood icons in the roster (optional)
  - Tune icons in the roster (optional)
  - Disable the vertical scroll bar in roster (optional)
  - Display the avatar in pop-up notifications
  - Display the message text in pop-up notifications (optional)
  - Button to send a message (optional)
  - View vCard menu entry in the context menu when right clicking
      a jid in the message body
  - Extended set of commands to configure hotkeys
  - Align the icon on the status button to the centre
      (as in older versions of Psi)
  - Show status icons in chat tabs (optional)
  - Access posting history using
      Ctrl+Up/Ctrl+Down, Alt+Home/Alt+End (configurable)
  - Display event icons in one-to-one chat windows
      (time, status, sent, delivered, accepted) with optional Autosize
  - More contrasting color when selecting text
  - Switch between tabs using Alt + N
  - Close / fold tabs using the middle mouse button
  - Display Option to display everything in a single window (like Tkabber)
  - Disable ?panel? tab buttons (optional)
  - Fixed position of the "Subject" when displaying messages as chats
  - Call button at the Central Bar in the chat window (voice/video call)
  - "Paste and send" button - in the central bar and
      in the context menu of the "Send" button (optional)
  - Template messages - in the Central Bar and the context
      menu of the "Send" button
  - View the version node in the service discovery window
  - Buttons and menus now work when clicking on the icon,
      rather than on the arrow next to the icon
  - Extra and updated application icons and iconpacks
  - Choose a color "backlight" messages (highlight)
  - Display a color picker for url-references in conferences and chats
  - Specify a custom chat style
  - Collapse headlines-messages in the roster using Esc
  - Allow to move tabs
  - Close button on tabs (optional)
  - Adjust the position of certain window controls (expand/collapse/Help)
  - Quick access to the privacy lists the roster menu
  - At the close of Tab offers no nearby tab,
      but the one that was opened earlier
  - Option to display the conference participants list on the left (optional)
  - New toolbar to search though the chat/conference log
  - Display music track icons in roster contact popups
  - Button to maximize the service discovery window,
      contact search window, as well as some other windows and dialogs
  - View Groups item in the tray menu
  - Hide the status icons of contacts in the roster (optional)
  - Show the status icons of contacts over the avatars (optional)
  - Display status messages in the roster on one line with the nickname
  - Ability to customize tooltip colors (font color, background color)
  - New icons for the roster and system iconpacks
  - Allow the deactivation of per-group display in the roster
      (via option options.ui.contactlist.enable-groups and
      through a button on the toolbar)
  - Collapse conferences in the roster
  - Hide the status icons in tabs (optional)
 .
 System:
  - Support for delivery notifications (XEP-0184: Message Receipts)
  - Support for entity time to discover the time at another entity
      (XEP-0090: Legacy Entity Time, XEP-0202: Entity Time)
  - Ability to specify extended presence information in the form
      of user activities (XEP-0108: User Activity)
  - Support for jabber: iq: version (XEP-0092: Software Version)
  - Support for the broadcast stream of Audacious (for Linux)
  - Added command "idle" to the console (jabber: iq: last)
  - Send a separate status of to a particular contact/conference
  - Advanced default settings for new accounts
  - Expanded definition of operating systems
  - Contact manager (import, export, renaming, moving, subscriptions, etc.)
  - Directory search using a plugin (for Linux)
  - The option to add an application close button to the roster
  - Modifications to the plugin system
  - Display the plugin version
  - Improved support for the transition to xmpp-links
  - Improved display of messages in the IRC mode (Nick says:)
  - Ability to manually specify the attributes of the client
  - Receive/send base64-images in the chat window (interface - plugin)
  - Extentended the send/receive files form (double-click
      on received/transferred files opens the associated
      application and proper file-type icons are displayed
      for received/transferred files)
  - Display activity icons
  - Display icons in the context menu of accounts in the roster
  - Display Jabber clients icons in roster contact pop-ups
  - Support for XEP-0080: User Location
  - Ability to load/unload plugins without restarting Psi+
  - Automatic detection of icons for contacts that are
      connected through transports
  - Display a calendar in the history window (based on patch from lexa_),
      change the location of chatlogs and added a quick search form to
      all chat windows (test version)
  - Access to the various application menus for plug-ins
  - Integrated Psi+ icons in the source code
  - Configurable hot keys for conference tabs (minimize, maximize, leave)
  - Newer version of the toolkit, Qt v4.6.2

Package: psi-plus-plugins
Architecture: any
Depends: psi-plus, ${shlibs:Depends}, ${misc:Depends}
Description: Plugins for Psi+
 Psi+ Plugins:
  - Attention - Plugin to send an attention message, compatible with
      Pidgin, Miranda IM (with the Nudge plugin), etc.
  - Autoreply - plugin to autoreply
  - Birthday Reminder - birthday and anniversary reminder
  - Cleaner - Plugin to clear the avatar and vCard cache,
      as well as the chat history
  - Conference Logger - plugin to log conferences
  - Chess - a plugin for playing chess. The plugin is compatible with Tkabber
  - Extended Options - Plugin for easy configuration of additional
      parameters (advanced options) in Psi+
  - Gmailnotify - notification of new messages in Gmail
  - History Keeper - a plugin to remove the history of marked
      contacts when exiting Psi+
  - ICQ Must Die - Plugin to transfer contacts from ICQ to Jabber
  - Image - send image files embedded in an instant message
  - Juick - Plugin to work with the Juick service
  - QIP X-statuses - Plugin to display x-statuses of QIP Infium contacts
  - Screenshot - a plugin to take screenshots with the option
      of uploading them to a specified FTP-server
  - Skins - a plugin for creating, storing and using of skins in Psi+
  - Stop Spam - anti-spam plugin
  - Storage Notes - a plugin to keep notes on the Jabber server,
      with access to them from Psi+ or Miranda IM
  - Translate - automatically transliterate text in the send message field
  - Watcher - Plugin to monitor the status of certain contacs

Package: psi-plus-icons
Architecture: all
Depends: psi-plus, ${misc:Depends}
Conflicts: psi-plus (<< 0.15~svn2289)
Replaces: psi-plus (<< 0.15~svn2289)
Description: Icons for Psi+
 Psi+ icons from psi+ svn

Package: psi-plus-skins
Architecture: all
Depends: psi-plus, ${misc:Depends}
Description: Skins for Psi+
 Psi+ skins from psi+ svn

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.

QMAKE=qmake-qt4
QCONF=qt-qconf
#MAKEOPT=-j4

# This has to be exported to make some magic below work.
#export DH_OPTIONS

#Выбираем все плагины от psi+ кромя тестового
plugs = $(filter-out testoptplugin,$(notdir $(wildcard $(CURDIR)/src/plugins/generic/*plugin ) ) )

%:
	dh $@

override_dh_auto_configure:
	- quilt push -a --quiltrc /dev/null
	$(QCONF)
	./configure --prefix=/usr --enable-plugins --disable-bundled-qca #--enable-qtwebkit

override_dh_auto_build:
	$(MAKE) $(MAKEOPT)
	$(foreach plug,$(plugs), cd $(CURDIR)/src/plugins/generic/$(plug) && $(QMAKE) && $(MAKE); )

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus install
	rm -f $(CURDIR)/debian/psi-plus/usr/bin/psi.debug #ну вы блин даете
	rm -f $(CURDIR)/debian/psi-plus/usr/share/psi/COPYING
	rm -f $(CURDIR)/debian/psi-plus/usr/share/psi/README

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess configure

	rm -f psi src/psi src/config.h
	rm -f Makefile src/Makefile libpsi/psiwidgets/Makefile
	rm -f conf.pri extra.pri conf.log
	rm -f src/.qmake.internal.cache

	rm -rf iris/lib iris/conf.pri
	rm -rf .qconftemp

	$(foreach plug,$(plugs), cd $(CURDIR)/src/plugins/generic/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )

	- quilt pop -af --quiltrc /dev/null
	rm -rf .pc

## psi-plus 0.15~svn2744

=== mac/Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 EXECUTABLE_NAME=psi
 NAME=Psi
 VOLUME_NAME=$(NAME)
-VERSION=0.14-devel_$(shell date +"%Y%m%d")
-#VERSION=0.14
+VERSION=0.15-devel_$(shell date +"%Y%m%d")
+#VERSION=0.15
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)

=== debian/changelog ===
psi-plus (0.15~svn2744-1) unstable; urgency=low

  * New upstream release
    - fix bug whis hidden group

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 24 Jul 2010 13:38:18 +0400

psi-plus (0.15~svn2653-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.0

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 09 Jul 2010 16:19:31 +0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Ivan Borzenkov <ivan1986@list.ru>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.5.1), libqca2-dev(>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, quilt, qconf
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.6.0), libqca2-dev(>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, quilt, qconf
+Standards-Version: 3.9.0
 Homepage: http://psi-dev.googlecode.com/
 
 Package: psi-plus

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	- quilt push -a --quiltrc /dev/null
+	- QUILT_PC=.pc_psi quilt push -a --quiltrc /dev/null
 	$(QCONF)
 	./configure --prefix=/usr --enable-plugins --disable-bundled-qca #--enable-qtwebkit
 
@@ -44,5 +44,5 @@
 
 	$(foreach plug,$(plugs), cd $(CURDIR)/src/plugins/generic/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )
 
-	- quilt pop -af --quiltrc /dev/null
-	rm -rf .pc
+	- QUILT_PC=.pc_psi quilt pop -af --quiltrc /dev/null
+	rm -rf .pc_psi

## psi-plus 0.15~svn3910

=== debian/changelog ===
psi-plus (0.15~svn3910-2) unstable; urgency=low

  * File debian/control was updated:
    - removed dependence from non available package psi-plus-icons
      (Closes: #640399, #640723)
    - fixed typos in detail description of psi-plus-content-download package
      (Closes: #644800)
    - added additional fields Vcs-Git and Vcs-Browser
  * File debian/rules was updated: added possibility of parallel compilation.
    (parallel=<n> from DEB_BUILD_OPTIONS is used)
  * File debian/copyright was rewritten in according to DEP-5.
  * Removed useless file README.source

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 09 Oct 2011 17:35:08 +0300

psi-plus (0.15~svn3910-1) unstable; urgency=low

  * Uploader became maintainer. (Closes: #620034)
  * File debian/copyright was completely rewrited. (Closes: #610338)
  * File debian/control was updated:
    - psi-plus now depends from psi-plus-common (= ${source:Version})
    - psi-plus-webkit now depends from psi-plus-common (= ${source:Version})
    - psi-plus-plugins now depends from psi-plus-common (= ${source:Version})
      (Closes: #613232)
    - removed ${shlibs:Depends} dependences from psi-plus-common and
      psi-plus-skins packages
  * Here are no appreciable memory leaks now. (Closes: #610024)
  * File psi2psi-plus.patch was removed.
  * File debian-watch was updated.
  * New upstream release.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 22 May 2011 19:08:25 +0300

psi-plus (0.15~svn3775-0ubuntu1) natty; urgency=low

  * New upstream release
  * rename psi to psi-plus (9996 upstream patch)
    - add psi2psi-plus.patch for reverting if need
    - remove conflict whis psi

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 29 Mar 2011 12:32:44 +0400

psi-plus (0.15~svn3753-0ubuntu1) natty; urgency=low

  * New upstream release
  * add --enable-whiteboarding

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 05 Mar 2011 03:00:40 +0300

psi-plus (0.15~svn3447-1) experimental; urgency=low

  * New upstream release
  * Fixed short descriptions for psi-plus and psi-plus-webkit packages

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 25 Dec 2010 13:46:52 +0200

psi-plus (0.15~svn3410-1) experimental; urgency=low

  * New upstream release (Closes: #598944, #588669)
  * Fixed lintian remarks:
    I: duplicate-long-description
    I: debian-watch-file-is-missing
    I: extended-description-is-probably-too-short
    I: conflicts-with-version psi-plus (<< 0.15~svn3057)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 17 Dec 2010 23:45:15 +0200

psi-plus (0.15~svn3396-0ubuntu1) natty; urgency=low

  * New upstream release
  * Close old Launchpad bugs (LP: #653802, #664020)
  * stop build when errors on apply patches

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 16 Dec 2010 03:01:10 +0300

psi-plus (0.15~svn3386-0ubuntu1) natty; urgency=low

  * New upstream release
  * psi-plus-skins - skin plugin move to all plugins

 -- Ivan Borzenkov <ivan1986@list.ru>  Mon, 13 Dec 2010 03:01:33 +0300

psi-plus (0.15~svn3325-1) experimental; urgency=low

  * Upload to Debian

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 07 Dec 2010 00:01:44 +0200

psi-plus (0.15~svn3325-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Ivan Borzenkov <ivan1986@list.ru>  Mon, 06 Dec 2010 22:56:20 +0300

psi-plus (0.15~svn3216-0ubuntu1) natty; urgency=low

  * New upstream release
  * add debug packages (thanks Stefan Zerkalica)
  * psi-plus and psi-plus-webkit not conflict
  * remove libproxy-dev depend

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 16 Nov 2010 13:55:18 +0300

psi-plus (0.15~svn3111-0ubuntu1) natty; urgency=low

  * New upstream release
  * update build scripts
    - fix compiled icons
    - fix change to natty

 -- Ivan Borzenkov <ivan1986@list.ru>  Wed, 20 Oct 2010 09:58:09 +0400

psi-plus (0.15~svn3088-0ubuntu1) natty; urgency=low

  * New upstream release
  * separate icons in other source package
  * change maverick to natty

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 14 Oct 2010 03:01:11 +0400

psi-plus (0.15~svn3057-1) maverick; urgency=low

  * New upstream release
  * add webkit version
  * new package psi-plus-common

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 02 Oct 2010 03:01:13 +0400

psi-plus (0.15~svn3040-1) maverick; urgency=low

  * New upstream release
  * add libproxy-dev for contentdownloader
  * separate contentdownloader plugin
  * separate icons

 -- Ivan Borzenkov <ivan1986@list.ru>  Mon, 27 Sep 2010 03:01:19 +0400

psi-plus (0.15~svn2774-1) maverick; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1
  * rename README.sources -> README.source
  * fix short description
  * remove libqca2 conflicts

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 31 Jul 2010 15:24:24 +0400

=== debian/control ===
Source: psi-plus
Section: net
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.0.50~),
 quilt, qconf, libqtwebkit-dev | libqt4-dev (>=4.5.2),
 libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev
Homepage: http://psi-dev.googlecode.com/
Vcs-Git: git://github.com/tehnick/psi-plus-debian.git
Vcs-Browser: https://github.com/tehnick/psi-plus-debian
Standards-Version: 3.9.2

Package: psi-plus
Architecture: any
Depends: psi-plus-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Qt-based jabber client (basic version)
 This package contains basic version of Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: psi-plus (=${binary:Version}), ${misc:Depends}
Description: Qt-based jabber client (basic version) [debug symbols]
 This package contains the debugging symbols for basic version of Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-webkit
Architecture: any
Depends: psi-plus-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Qt-based jabber client (WebKit version)
 This package contains WebKit version of Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-webkit-dbg
Section: debug
Priority: extra
Architecture: any
Depends: psi-plus-webkit (=${binary:Version}), ${misc:Depends}
Description: Qt-based jabber client (WebKit version) [debug symbols]
 This package contains the debugging symbols for WebKit version of Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-common
Architecture: all
Recommends: sox, libqca2-plugin-ossl, psi-plus-plugins, psi-plus-skins
Breaks: psi-plus (<< 0.15~svn3057)
Depends: ${misc:Depends}
Suggests: libqca2-plugin-gnupg, xdg-utils
Replaces: psi, psi-plus (<< 0.15~svn3057)
Description: common files for Psi+
 This package contains common files for Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-plugins
Architecture: any
Depends: psi-plus-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: plugins for Psi+
 This package contains plugins for Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Depends: psi-plus-plugins (=${binary:Version}), ${misc:Depends}
Description: plugins for Psi+ [debug symbols]
 This package contains the debugging symbols for Psi+ plugins.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-content-download
Architecture: any
Breaks: psi-plus-plugins (<< 0.15~svn3047)
Replaces: psi-plus-plugins (<< 0.15~svn3047)
Depends: psi-plus-common, ${shlibs:Depends}, ${misc:Depends}
Description: content download plugins for Psi+
 This package contains special plugins for Psi+ which allow you download
 some content (like non-free icons) from official Psi+ site. And you don't need
 this package if psi-plus-icons package is installed in your system.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-skins
Architecture: all
Depends: psi-plus-common, psi-plus-plugins, ${misc:Depends}
Breaks: psi-plus-plugins (<< 0.15~svn3047)
Replaces: psi-plus-plugins (<< 0.15~svn3047)
Description: skins for Psi+
 This package contains skins for Psi+.
 .
 Psi is a cross-platform powerful Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM Jabber client by
 psi-dev@conference.jabber.ru team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

QMAKE=qmake-qt4
QCONF=qt-qconf
CONF=--enable-plugins --enable-whiteboarding --disable-bundled-qca --debug --no-separate-debug-info

# This has to be exported to make some magic below work.
#export DH_OPTIONS

#select all plugins
plugs = $(notdir $(wildcard $(CURDIR)/src/plugins/generic/*plugin ) )

%:
	dh $@

override_dh_auto_configure:
	QUILT_PC=.pc_psi quilt push -a --quiltrc /dev/null
	$(QCONF)
	./configure --prefix=/usr $(CONF)

override_dh_auto_build:
	$(MAKE) -j$(NUMJOBS)
	$(foreach plug,$(plugs), cd $(CURDIR)/src/plugins/generic/$(plug) && $(QMAKE) && $(MAKE) -j$(NUMJOBS); )

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus install
	rm -f $(CURDIR)/debian/psi-plus/usr/bin/psi-plus.debug #remove static debug file
	#Making the same, but using webkit
	$(MAKE) clean
	./configure --prefix=/usr $(CONF) --enable-webkit
	$(MAKE) -j$(NUMJOBS)
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus-webkit install
	rm $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus
	rm $(CURDIR)/debian/psi-plus-webkit/usr/share/applications/psi-plus.desktop
	cp $(CURDIR)/src/psi-plus $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus-webkit
	cp $(CURDIR)/debian/psi-plus-webkit.desktop $(CURDIR)/debian/psi-plus-webkit/usr/share/applications/
	rm -f $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus.debug #remove static debug file
	#Deleting temporary files
	rm -f $(CURDIR)/debian/psi-plus/usr/share/psi-plus/COPYING
	rm -f $(CURDIR)/debian/psi-plus/usr/share/psi-plus/README
	rm -f $(CURDIR)/debian/psi-plus-webkit/usr/share/psi-plus/COPYING
	rm -f $(CURDIR)/debian/psi-plus-webkit/usr/share/psi-plus/README

override_dh_install:
	dh_install
	#Deleting exported plugins
	rm -f $(CURDIR)/debian/psi-plus-plugins/usr/lib/psi-plus/plugins/libcontentdownloaderplugin.so
	#Deleting exported icons
	rm -rf $(CURDIR)/debian/psi-plus-icons/usr/share/psi-plus/iconsets/roster
	rm -rf $(CURDIR)/debian/psi-plus-icons/usr/share/psi-plus/iconsets/clients
	rm -rf $(CURDIR)/debian/psi-plus-icons/usr/share/psi-plus/iconsets/emoticons
	#Exporting all from psi-plus-common
	./debian/mergedups.sh

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess configure

	rm -f psi-plus src/psi-plus src/config.h
	rm -f Makefile src/Makefile libpsi/psiwidgets/Makefile
	rm -f conf.pri extra.pri conf.log
	rm -f src/.qmake.internal.cache

	rm -rf iris/lib iris/conf.pri
	rm -rf .qconftemp

	$(foreach plug,$(plugs), cd $(CURDIR)/src/plugins/generic/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )

	- QUILT_PC=.pc_psi quilt pop -af --quiltrc /dev/null
	rm -rf .pc_psi

override_dh_strip:
	dh_strip -ppsi-plus --dbg-package=psi-plus-dbg
	dh_strip -ppsi-plus-webkit --dbg-package=psi-plus-webkit-dbg
	dh_strip -ppsi-plus-plugins --dbg-package=psi-plus-plugins-dbg
	dh_strip --remaining-packages

=== debian/watch ===
# Obtaining the source tarball of psi-plus is a bit tricky because there is no
# explicite link to a downloadable tarball on the web page and the source is
# only in SVN.  There is even no versioning scheme and this watch file is just
# checking for a new SVN commit

version=3
opts="dversionmangle=s/0.15~svn//" \
  http://code.google.com/p/psi-dev/source/list \
    detail\?r=([\d]+) \
  debian debian/get-orig-source
